New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

migrate to sbt 1.0 #281

Open
MasseGuillaume opened this Issue Jul 21, 2017 · 6 comments

Comments

4 participants
@MasseGuillaume
Copy link
Member

MasseGuillaume commented Jul 21, 2017

No description provided.

@MasseGuillaume MasseGuillaume added this to Backlog in Task Jul 21, 2017

@MasseGuillaume MasseGuillaume moved this from Backlog to Reordering in Task Jul 25, 2017

@MasseGuillaume MasseGuillaume moved this from Reordering to Backlog in Task Jul 25, 2017

@jiminhsieh

This comment has been minimized.

Copy link
Contributor

jiminhsieh commented Dec 13, 2017

I will try to give this a shot. However, I have one question about extraLoggers.
Type signature of extraLoggers:

  • In 0.13.x, it's SettingKey[(Def.ScopedKey[_]) ⇒ Seq[AbstractLogger]].
  • In 1.0.x, it's SettingKey[(Def.ScopedKey[_]) ⇒ Seq[Appender]].

I have not so sure how to handle this well, but I am still working on it! The only example I found is this snippet.

@MasseGuillaume

This comment has been minimized.

Copy link
Member Author

MasseGuillaume commented Dec 13, 2017

Yup I think this is the way to go. It looks like you have all the information in
LoggingEvent

the sbtTrap may have changed between 0.13.X and 1.X.

@vi-kas

This comment has been minimized.

Copy link

vi-kas commented Apr 6, 2018

@jiminhsieh Were you able to get it working? extraLoggers as specified in 1.0.x ?

@jiminhsieh

This comment has been minimized.

Copy link
Contributor

jiminhsieh commented Apr 9, 2018

@vi-kas Thanks for your reminding me! I was a little busy earlier. I guess I finished most of the works. However, I didn't finish the part of AbstractLogger. If you want to work on this, I could step back. :) Since I still need more time.

@allanrenucci

This comment has been minimized.

Copy link
Contributor

allanrenucci commented Apr 27, 2018

Starting with version 0.8.0, Dotty will only support sbt 1. So until this issue is fixed, I believe Scastie won't support latest Dotty versions

@jiminhsieh

This comment has been minimized.

Copy link
Contributor

jiminhsieh commented Apr 27, 2018

I meet the same situation of this comment at gitter. I also found this related to frontend, and I don't have much experience about that... If there is anyone wants to pick this ticket, please go ahead. I am afraid that I will delay someone want to try Dotty 0.8.0 through Scastie.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment